summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-04-03 09:29:19 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-04-03 09:29:19 +0200
commit318b294b271e8dbcd17392db838c94339ac83f05 (patch)
tree3c2ef47ad3b6c0c21f090e2b3549dc5b739eb75b /x11-libs/libva
parentdev-perl/Module-Build: Bump to version 0.422.200 (diff)
downloadgentoo-318b294b271e8dbcd17392db838c94339ac83f05.tar.gz
gentoo-318b294b271e8dbcd17392db838c94339ac83f05.tar.bz2
gentoo-318b294b271e8dbcd17392db838c94339ac83f05.zip
x11-libs/libva: Bump to 1.8.0.
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'x11-libs/libva')
-rw-r--r--x11-libs/libva/Manifest1
-rw-r--r--x11-libs/libva/libva-1.8.0.ebuild86
-rw-r--r--x11-libs/libva/libva-9999.ebuild6
-rw-r--r--x11-libs/libva/metadata.xml1
4 files changed, 91 insertions, 3 deletions
diff --git a/x11-libs/libva/Manifest b/x11-libs/libva/Manifest
index 54be4225802..055c6b0c017 100644
--- a/x11-libs/libva/Manifest
+++ b/x11-libs/libva/Manifest
@@ -1 +1,2 @@
DIST libva-1.7.3.tar.bz2 824490 SHA256 22bc139498065a7950d966dbdb000cad04905cbd3dc8f3541f80d36c4670b9d9 SHA512 ecc1ba17e2afea2efe4d36e8d9358d420015b3ad9d2a510ee2b263274c889caf39915a8b8da2d16329184bf4f42d0cbd124af3d070b83235b6a7453afd30b3a0 WHIRLPOOL 9836b043d5ae3d9d19e97bf309396f3bae179bfe10fe0ce432ee9b4106b9608926430933c229e147fc4a391cbc12039281bfccadec0a0159b77a9afeddb4e6b8
+DIST libva-1.8.0.tar.gz 195261 SHA256 924ed467d50a24018428448071a311d6467e0d40dc94731e2164f9d5d61bac51 SHA512 0f1b527d67497bc501f2f1acdddcb2519f12a8682a6d98303e7d86dd88b6270eb25e3b0789179aaf5f3b4c70b7e8448eb5505cbadeb0b44c9727ac7cf77a51d6 WHIRLPOOL 220f4864835d11ae70457d76c549b03cbad35f285f697e3f470cec402573cfdf3811645ae7cea3ea7af96f77ba504ac9f563f3966e84a7108990122e5cee241b
diff --git a/x11-libs/libva/libva-1.8.0.ebuild b/x11-libs/libva/libva-1.8.0.ebuild
new file mode 100644
index 00000000000..711ad8c9a1a
--- /dev/null
+++ b/x11-libs/libva/libva-1.8.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+SCM=""
+if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
+ SCM=git-r3
+ EGIT_BRANCH=master
+ EGIT_REPO_URI="https://github.com/01org/libva"
+fi
+
+AUTOTOOLS_AUTORECONF="yes"
+inherit autotools-multilib ${SCM} multilib
+
+DESCRIPTION="Video Acceleration (VA) API for Linux"
+HOMEPAGE="https://01.org/linuxmedia/vaapi"
+if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
+ SRC_URI=""
+else
+ SRC_URI="https://github.com/01org/libva/archive/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+if [ "${PV%9999}" = "${PV}" ] ; then
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+else
+ KEYWORDS=""
+fi
+IUSE="+drm egl opengl vdpau wayland X utils"
+
+VIDEO_CARDS="dummy nvidia intel i965 fglrx nouveau"
+for x in ${VIDEO_CARDS}; do
+ IUSE+=" video_cards_${x}"
+done
+
+RDEPEND=">=x11-libs/libdrm-2.4.46[${MULTILIB_USEDEP}]
+ X? (
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXfixes-5.0.1[${MULTILIB_USEDEP}]
+ )
+ egl? ( >=media-libs/mesa-9.1.6[egl,${MULTILIB_USEDEP}] )
+ opengl? ( >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}] )
+ wayland? ( >=dev-libs/wayland-1.0.6[${MULTILIB_USEDEP}] )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+PDEPEND="video_cards_nvidia? ( >=x11-libs/libva-vdpau-driver-0.7.4-r1[${MULTILIB_USEDEP}] )
+ video_cards_nouveau? ( >=x11-libs/libva-vdpau-driver-0.7.4-r3[${MULTILIB_USEDEP}] )
+ vdpau? ( >=x11-libs/libva-vdpau-driver-0.7.4-r1[${MULTILIB_USEDEP}] )
+ video_cards_fglrx? (
+ || ( >=x11-drivers/ati-drivers-14.12-r3[${MULTILIB_USEDEP}]
+ >=x11-libs/xvba-video-0.8.0-r1[${MULTILIB_USEDEP}] )
+ )
+ video_cards_intel? ( >=x11-libs/libva-intel-driver-1.2.2-r1[${MULTILIB_USEDEP}] )
+ video_cards_i965? ( >=x11-libs/libva-intel-driver-1.2.2-r1[${MULTILIB_USEDEP}] )
+ utils? ( media-video/libva-utils )
+ "
+
+REQUIRED_USE="|| ( drm wayland X )
+ opengl? ( X )"
+
+DOCS=( NEWS )
+
+MULTILIB_WRAPPED_HEADERS=(
+/usr/include/va/va_backend_glx.h
+/usr/include/va/va_x11.h
+/usr/include/va/va_dri2.h
+/usr/include/va/va_dricommon.h
+/usr/include/va/va_glx.h
+)
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --with-drivers-path="${EPREFIX}/usr/$(get_libdir)/va/drivers"
+ $(use_enable video_cards_dummy dummy-driver)
+ $(use_enable opengl glx)
+ $(use_enable X x11)
+ $(use_enable wayland)
+ $(use_enable egl)
+ $(use_enable drm)
+ )
+ autotools-utils_src_configure
+}
diff --git a/x11-libs/libva/libva-9999.ebuild b/x11-libs/libva/libva-9999.ebuild
index 2afd2ca26b2..711ad8c9a1a 100644
--- a/x11-libs/libva/libva-9999.ebuild
+++ b/x11-libs/libva/libva-9999.ebuild
@@ -18,8 +18,7 @@ HOMEPAGE="https://01.org/linuxmedia/vaapi"
if [ "${PV%9999}" != "${PV}" ] ; then # Live ebuild
SRC_URI=""
else
- SRC_URI="https://github.com/01org/libva/archive/${P}.tar.gz"
- S="${WORKDIR}/${PN}-${P}"
+ SRC_URI="https://github.com/01org/libva/archive/${PV}.tar.gz -> ${P}.tar.gz"
fi
LICENSE="MIT"
@@ -29,7 +28,7 @@ if [ "${PV%9999}" = "${PV}" ] ; then
else
KEYWORDS=""
fi
-IUSE="+drm egl opengl vdpau wayland X"
+IUSE="+drm egl opengl vdpau wayland X utils"
VIDEO_CARDS="dummy nvidia intel i965 fglrx nouveau"
for x in ${VIDEO_CARDS}; do
@@ -57,6 +56,7 @@ PDEPEND="video_cards_nvidia? ( >=x11-libs/libva-vdpau-driver-0.7.4-r1[${MULTILIB
)
video_cards_intel? ( >=x11-libs/libva-intel-driver-1.2.2-r1[${MULTILIB_USEDEP}] )
video_cards_i965? ( >=x11-libs/libva-intel-driver-1.2.2-r1[${MULTILIB_USEDEP}] )
+ utils? ( media-video/libva-utils )
"
REQUIRED_USE="|| ( drm wayland X )
diff --git a/x11-libs/libva/metadata.xml b/x11-libs/libva/metadata.xml
index 078757cbd13..4779c11726b 100644
--- a/x11-libs/libva/metadata.xml
+++ b/x11-libs/libva/metadata.xml
@@ -8,5 +8,6 @@
<use>
<flag name="egl">Enables EGL support.</flag>
<flag name="drm">Enables VA/DRM API support.</flag>
+ <flag name="utils">Install VA-API utility programs.</flag>
</use>
</pkgmetadata>